// Copyright 1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Bundles/Preferences/EnvironmentVariables/EnvironmentVariables.h,v 1.1 1999/10/12 01:46:57 andrew Exp $


#import <AppKit/AppKit.h>
#import "Layout.h"


@interface EnvironmentVariables : Layout
{
    IBOutlet NSTableView *tableView;
    IBOutlet NSButtonCell *addVariableButtonCell;
    IBOutlet NSButtonCell *deleteVariableButtonCell;
    IBOutlet NSButtonCell *saveButtonCell;
    IBOutlet NSButtonCell *revertButtonCell;

    NSMutableDictionary *variables;
    NSMutableArray *keys;
}

- (IBAction)addVariable:(id)sender;
- (IBAction)deleteVariable:(id)sender;

- (IBAction)save:(id)sender;
- (IBAction)revert:(id)sender;

@end
